%define upstream_name Dist-Zilla-Role-Bootstrap
%define upstream_version 1.001004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Shared logic for bootstrap things
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Chrome::Test)
BuildRequires: perl(Dist::Zilla::Dist::Builder)
BuildRequires: perl(Dist::Zilla::MVP::Assembler::Zilla)
BuildRequires: perl(Dist::Zilla::MVP::Section)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::UtilsBy)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Shared logic for bootstrap things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.1.4-4.mga9
+ Revision: 1809168
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.4-3.mga8
+ Revision: 1504291
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1283374
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.1.4-1.mga7
+ Revision: 1126003
- update to 1.001004

* Sun May 08 2016 shlomif <shlomif> 1.1.3-1.mga6
+ Revision: 1010634
- update to 1.001003

* Fri Feb 19 2016 umeabot <umeabot> 1.1.2-2.mga6
+ Revision: 968278
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.1.2-1.mga6
+ Revision: 851915
- update to 1.001002

* Sat Jun 27 2015 sander85 <sander85> 1.1.0-1.mga6
+ Revision: 845796
- update to 1.001000

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 741116
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 664145
- update to 1.000003

* Wed Jul 16 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 653191
- update to 1.000002

* Tue Apr 15 2014 jquelin <jquelin> 1.0.1-1.mga5
+ Revision: 614762
- update to 1.000001

* Thu Feb 06 2014 sander85 <sander85> 0.2.3-1.mga5
+ Revision: 584538
- update to 0.2.3

* Sun Oct 20 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 536779
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.2.1-1.mga4
+ Revision: 485593
- update to 0.2.1

* Fri Sep 06 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 475499
- imported package perl-Dist-Zilla-Role-Bootstrap

